#ifndef __DWARF_H
#define __DWARF_H

#include "../litestep/wharfdata.h"

typedef struct {
        HINSTANCE hInst;
        HWND hWnd;
        HBITMAP backImage;
		HBITMAP frontImage;
		BOOL showbg;
		char szName[256];
        char szCommand[MAX_PATH];
		char szParameters[256];
		int (FAR *initWharfModule)(HWND, HINSTANCE, wharfDataType*);
		int (FAR *quitWharfModule)(HINSTANCE);
		HRGN (FAR *GetLSRegion)(int, int);
        } subwharf2Type;

typedef struct {
        HINSTANCE hInst;
        HWND hWnd;
		HWND hsubwharfWnd;
        HBITMAP backImage;
		HBITMAP frontImage;
		BOOL subwharfOpen;
		BOOL moving;
		BOOL closing;
		BOOL showbg;
		int movingPos;
		int numSubwharfs;
		char szName[256];
        char szCommand[MAX_PATH];
		char szParameters[256];
		int (FAR *initWharfModule)(HWND, HINSTANCE, wharfDataType*);
		int (FAR *quitWharfModule)(HINSTANCE);
		HRGN (FAR *GetLSRegion)(int, int);
		HRGN subRgn;
		subwharf2Type *subwharfs2;
        } subwharfType;

typedef struct {
        HINSTANCE hInst;
        HWND hWnd;
        HWND hsubwharfWnd;
        HBITMAP backImage;
		HBITMAP frontImage;
		char szName[256];
        char szCommand[MAX_PATH];
		char szParameters[256];
        int numSubwharfs;
		int xPos;
		int yPos;
		int width;
		int height;
        BOOL subwharfOpen;
		BOOL moving;
		BOOL closing;
		BOOL showbg;
		BOOL onTop;
		BOOL visible;
		BOOL vertical;
		BOOL docked;
		POINT dockPoint;
		int group;
		int movingPos;
		int (FAR *initWharfModule)(HWND, HINSTANCE, wharfDataType*);
		int (FAR *quitWharfModule)(HINSTANCE);
		HRGN (FAR *GetLSRegion)(int, int);
		HRGN rgn;
		HRGN subRgn;
        subwharfType *subwharfs;
        } wharfType;

#ifdef __cplusplus
extern "C" {
#endif

__declspec( dllexport ) int initModule(HWND parent, HINSTANCE dll, wharfDataType* wd);
__declspec( dllexport ) int initModuleEx(HWND parent, HINSTANCE dll, LPCSTR szPath);
__declspec( dllexport ) void quitModule(HINSTANCE dllInst);

#ifdef __cplusplus
}
#endif


#endif

